Subject: bug#12495: AC_CONFIG_HEADERS with

From: Stefano Lattarini <[email-masked]>
Date: Fri, 28 Sep 2012 09:40:19 +0200

tags 12495 - moreinfo
thanks

On 09/27/2012 09:53 PM, Hib Eris wrote:
> Hi all,
> 
> On 09/24/2012 11:20 AM, Hib Eris wrote:
>> On 2012-09-27 10:38 +0200, Stefano Lattarini wrote:
>
>> [...]
>>> Thanks for digging out all these details.  However, I still don't understand
>>> why you consider the current Automake behaviour as a bug.  It seems to me it's
>>> not in contrast with the documentation, which reads:
>>>
>>>     AC_CONFIG_HEADERS:
>>>       Automake will generate rules to rebuild these headers. Older versions
>>>       of Automake required the use of AM_CONFIG_HEADER (see Macros); this is
>>>       no longer the case.   As with AC_CONFIG_FILES (see Requirements), parts
>>>       of the specification using shell variables will be ignored as far as
>>>       cleaning, distributing, and rebuilding is concerned.
> 
> IMHO the statement that automake will generate rules to rebuild these
> headers is suggesting that automake does more than it actually can.
> Automake does not really know how the headers should be rebuild, thus
> it assumes it can do so by running autoheader which as far as I
> understand always creates only a config.h.in file.
>
And the autoconf manual indeed reads:

    The autoheader program ... searches for the *first* invocation of
    AC_CONFIG_HEADERS in configure sources to determine the name of the
    template.  If the first call of AC_CONFIG_HEADERS specifies more
    than one input file name, autoheader uses the first one.

Now I understand your objections, and I agree that the current Automake
behaviour is a bug (albeit a minor one).  I'll commit a fix in the next
days.

Thanks,
  Stefanno